Subject: Re: CCL:Ewald in CHARMM

From: Niharendu.Choudhury{at}mail.uh.edu
Date: Fri, 04 Jul 2003 17:24:16 -0500 (CDT)

Hi all,
I was initially running with following crystal keywords:

 Crystal Define Cubic 24.850 24.850 24.850  90.0 90.0 90.0
 Crystal Build noperations 0

 and energy keywords :

ENERGY ATOM ELEC EWALD KAPPA 0.21  KMAX 4 KSQMAX 27 -
           CUTNB 10.0  CUTIM 10.0 CTOFNB 9.5  VDW SHIFT

 it was running fine.

 Now I have changed the energy section to the following:

 ENERGY ATOM ELEC EWALD KAPPA 0.21  KMAX 4 KSQMAX 27 -
           CUTNB 12.0  CUTIM 12.0 CTOFNB 10  VDW SHIFT

 and it is not running. (I have only changed cutnb and ctofnb, crystal
 section being the same).

FOR MORE DETAILS I am appending below the output error message:

--------------------------------------------------------------
 CHARMM>    ! energy parameters
 CHARMM>    !energy -
 CHARMM>    !          CUTNB 12.0  CUTIM 12.0 CTOFNB 10.0  VSWITCH SHIFT CDIE EP
S 1
 CHARMM>    !          ATOM ELEC EWALD KAPPA 0.21  KMAX 4 KSQMAX 27 ORDER 6 -
 CHARMM>    energy cutnb 12.0 cutim 12.0 ctonnb 7.5 ctofnb 9.0 -
 CHARMM>           vswitch shift cdie eps 1

 <MKIMAT>: updating the image atom lists and remapping
 Transformation   Atoms  Groups  Residues  Min-Distance
    1  C001 has      66      22      22        0.00
    2  C002 has     264      88      88        0.00
    3  C003 has      60      20      20        0.00
    4  C004 has     312     104     104        0.00
    5  C005 has     765     255     255        0.00
    6  C006 has     225      75      75        0.00
    7  C007 has     303     101     101        0.00
    8  C008 has     777     259     259        0.00
    9  C009 has     255      85      85        0.00
   10  C010 has     744     248     248        0.00
   12  C012 has      66      22      22        0.00
   13  C013 has     309     103     103        0.00
   14  C014 has      87      29      29        0.00
 Total of 5769 atoms and 1923 groups and 1923 residues were included

 NONBOND OPTION FLAGS:
     ELEC     VDW      ATOMs    CDIElec  SHIFt    VATOm    VSWItch
     BYGRoup  NOEXtnd  NOEWald
 CUTNB  = 12.000 CTEXNB =999.000 CTONNB =  7.500 CTOFNB =  9.000
 WMIN   =  1.500 WRNMXD =  0.500 E14FAC =  1.000 EPS    =  1.000
 NBXMOD =      5
 There are        0 atom  pairs and        0 atom  exclusions.
 There are        0 group pairs and        0 group exclusions.
 <MAKINB> with mode   5 found   1536 exclusions and      0 interactions(1-4)
 <MAKGRP> found      0 group exclusions.
 <MAKGRP> found      0 image group exclusions.
 Generating nonbond list with Exclusion mode = 5
 SPACE FOR   277948 ATOM PAIRS AND        0 GROUP PAIRS
 SPACE FOR   416942 ATOM PAIRS AND        0 GROUP PAIRS

General atom nonbond list generation found:
   300339 ATOM PAIRS WERE FOUND FOR ATOM LIST
    17336 GROUP PAIRS REQUIRED ATOM SEARCHES

      ***** LEVEL -4 WARNING FROM <VEHEAP> *****
      ***** CANNOT EXPAND HEAP ON THIS MACHINE
      ******************************************
      BOMLEV (  0) IS REACHED - TERMINATING. WRNLEV IS  5
 Execution terminated due to the detection of a fatal error.

                    ABNORMAL TERMINATION
                    MAXIMUM STACK SPACE USED IS   76476
                    STACK CURRENTLY IN USE IS     76476
                    MOST SEVERE WARNING WAS AT LEVEL -4
                    HEAP PRINTOUT-  HEAP SIZE   1024000
                    SPACE CURRENTLY IN USE IS   1348684
                    MAXIMUM SPACE USED IS       1348684
                    FREE LIST
            PRINHP> ADDRESS:         1 LENGTH:    530624 NEXT:    970561

--------------------------------------------------------------------------
End of out put.

If you kindly help me.

Nihar